Unit tadh1c_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, ADH1C_p;

function tadh1c: String;

implementation

function tadh1c: String;
var
D2,N,IERR :Integer;
D1 :Complex;
const
A :Array [0..5] of Complex = ( ( re:1.0; im:0.0 ),( re:2.0; im:0.0 ),( 
re:20.0; im:0.0 ),( re:3.0; im:0.0 ),( re:26.0; 
im:0.0 ),( re:70.0; im: 0.0 ) );
begin
Result := '';  {   }
N := 3;
ADH1C(A,D1,D2,N,IERR);
Result := Result + Format('%s',['  D1=']);
Result := Result + Format('%20.16f %20.16f ',[D1.re,D1.im]) + #$0D#$0A;
Result := Result + Format('%s',['  D2=']);
Result := Result + Format('%3d ',[D2]) + #$0D#$0A;
UtRes('tadh1c',Result);  {     tadh1c.res }
exit;
end;

end.
